version: '3.5'

services:
  cryptohorses_api:
    ports:
      - "8002:8002"
    volumes:
      - .:/Users/alex/Sites/www/cryptohorses
      - /Users/alex/Sites/www/cryptohorses/vendor
    build: .
    command: php -S cryptohorses_api:8002 -t public
    restart: always
    environment:
      - APP_DEBUG=true
#      - DB_USERNAME=mv_api_user
#      - DB_DATABASE=mv_api
#      - DB_PASSWORD=mv_api_passwrd
#      - MARIADB_MASTER_PORT_NUMBER=3307
#    depends_on:
#      - mariadb_cryptohorses_api
#  mariadb_cryptohorses_api:
#    image: docker.io/bitnami/mariadb:10.2
#    environment:
#      - ALLOW_EMPTY_PASSWORD=yes
#      - MARIADB_USER=mv_api_user
#      - MARIADB_DATABASE=mv_api
#      - MARIADB_PASSWORD=mv_api_passwrd
#      - MARIADB_MASTER_PORT_NUMBER=3307
#    ports:
#      - '3307:3306'
